This is a live mirror of the Perl 5 development currently hosted at https://github.com/perl/perl5
Don't use vars in DynaLoader
authorRafael Garcia-Suarez <rgarciasuarez@gmail.com>
Fri, 18 Mar 2005 10:27:17 +0000 (10:27 +0000)
committerRafael Garcia-Suarez <rgarciasuarez@gmail.com>
Fri, 18 Mar 2005 10:27:17 +0000 (10:27 +0000)
Remove left-over maintenance code

p4raw-id: //depot/perl@24041

ext/DynaLoader/DynaLoader_pm.PL

index 85d2bd3..8476dad 100644 (file)
@@ -80,22 +80,13 @@ package DynaLoader;
 #
 # Tim.Bunce@ig.co.uk, August 1994
 
-use vars qw($VERSION *AUTOLOAD);
-
-$VERSION = '1.06';
+$VERSION = '1.07';
 
 require AutoLoader;
 *AUTOLOAD = \&AutoLoader::AUTOLOAD;
 
 use Config;
 
-# The following require can't be removed during maintenance
-# releases, sadly, because of the risk of buggy code that does 
-# require Carp; Carp::croak "..."; without brackets dying 
-# if Carp hasn't been loaded in earlier compile time. :-( 
-# We'll let those bugs get found on the development track.
-require Carp if $] < 5.00450; 
-
 # enable debug/trace messages from DynaLoader perl code
 $dl_debug = $ENV{PERL_DL_DEBUG} || 0 unless defined $dl_debug;